INTERFACE
SUBROUTINE m7_delcoa&
 & (kidia , kfdia , klon , klev,&
 & paerml , paernl, pm6rp , pa4delt , panew,&
 & pa , pb , pbfract1, pbfract2,&
 & pbfract5, pso4_5, pso4_6 , pso4_7 ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7 ,ONLY : nmod, nsol, naermod,&
 & iaiti, ibcki, iocki, ibcks,&
 & iocks, ibcas, iocas, ibccs,&
 & ioccs, iduci, iduai, iacci,&
 & icoai, iaits 
INTEGER(KIND=JPIM),INTENT(IN) :: kidia, kfdia, klon, klev
REAL(KIND=JPRB),INTENT(IN) ::&
 & panew(klon ,klev), pm6rp(klon ,klev,nmod) 
REAL(KIND=JPRB),INTENT(OUT) ::&
 & pa4delt(klon ,klev,naermod) 
REAL(KIND=JPRB),INTENT(INOUT) ::&
 & paerml(klon ,klev,naermod), paernl(klon ,klev,nmod) 
REAL(KIND=JPRB),INTENT(INOUT) :: pbfract1(klon ,klev,nmod-1), pbfract2(klon ,klev,nmod-1),&
 & pbfract5(klon ,klev,3) 
REAL(KIND=JPRB),INTENT(IN) :: pa(klon ,klev,nmod), pb(klon ,klev,nmod)
REAL(KIND=JPRB),INTENT(IN) :: pso4_5(klon ,klev), pso4_6(klon ,klev),&
 & pso4_7(klon ,klev) 
END SUBROUTINE m7_delcoa
END INTERFACE
